
execl(path, args)
char *path, *args;
{
	return execv(path, &args);
}

execv(path, argv)
char *path, **argv;
{
	char buffer[130];
	register char *cp, *xp;

	cp = buffer;
	for (xp = path ; *xp && cp < buffer+128 ; )
		*cp++ = *xp++;
	if (*argv) {
		++argv;			/* skip arg0, used for unix (tm) compatibility */
		while (*argv) {
			*cp++ = ' ';
			for (xp = *argv++ ; *xp && cp < buffer+128 ; )
				*cp++ = *xp++;
		}
	}
	*cp = 0;
	bdos(26, buffer);
	bdos(47, 0);
}

